package com.jxml.quick.util.qjml4;

import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMTargetEditor extends QGBase implements QGBaseIntf {

    public String editor="";

    public String target="";


    public QMTargetEditor() {
    }

    public QMTargetEditor(String editor, String target) {
        this.editor = editor;
        this.target = target;
    }

    public void cvt()
	throws SAXException
    {
	addStringAttribute("target",target);
	if (!"".equals(editor))
	    addStringAttribute("editor",editor);
	startElement("targetEditor");
	endElement("targetEditor");
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element targetEditor");
        pw.println(indent + "editor = " + editor);
        pw.println(indent + "target = " + target);
    }

}
